Skip to main content

Update Session Player By Id

POST 

/session/v1/session/:session_id/player/id/:player_id

deprecated

Add or invite a player to the session, or change the status of a player already in the session

Required Permissions:

  • For any player (including themselves) any of: session:*, session:promote:any, session:promote:self

Required Session Permissions: None if session is publicly joinable or the player has been invited. SessionPermissions.session_admin for other operations

DEPRECATED - Use the player endpoint instead

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

    player_id Player Idrequired

Body

required

    status SessionPlayerStatus (string)

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    team_id Team Id (integer)

    Which team the player should be on

    custom_data

    object

    player-defined custom data

    property name* string
    overflow_action TeamOverflowAction (string)

    Possible values: [fail, allow_overflow, partial_with_overflow, partial_without_overflow, overfill]

    How too many players being invited to a single team should be handled

Responses

Successful Response

Schema

    player_uuid uuid

    Player UUID of the player updated

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    team_id Team Id (integer)required

    Which team the player joined

    custom_data

    object

    Resulting custom data about the player

    property name* string
Loading...